DOMAttr
DOMAttr::isId
DOMAttr
PHP Manual

# DOMAttr::__construct

(PHP 5)

DOMAttr::__construct — Creates a new DOMAttr object

### 설명

DOMAttr::__construct ( string `$name` [, string `$value` ] )

Creates a new DOMAttr object. This object is read only. It may be appended to a document, but additional nodes may not be appended to this node until the node is associated with a document. To create a writable node, use DOMDocument::createAttribute.

### 인수

`name`

  The tag name of the attribute.

`value`

  The value of the attribute.

### 예제

Example #1 Creating a new DOMAttr object

`<?php
$dom = new DOMDocument('1.0', 'iso-8859-1');
$element = $dom->appendChild(new DOMElement('root'));
$attr = $element->setAttributeNode(new DOMAttr('attr', 'attrvalue'));
echo $dom->saveXML();
?>`

위 예제의 출력:

    <?xml version="1.0" encoding="iso-8859-1"?>
    <root attr="attrvalue" />

### 참고

- DOMDocument::createAttribute - Create new attribute

DOMAttr
DOMAttr::isId
DOMAttr
PHP Manual